Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextFormat.PageBreakFlag

    java.lang.Object
      java.lang.Enum<QTextFormat.PageBreakFlag>
          com.trolltech.qt.gui.QTextFormat.PageBreakFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextFormat.PageBreakFlag>

Enclosing class:
  QTextFormat

    public static enum QTextFormat.PageBreakFlag

extends java.lang.Enum<QTextFormat.PageBreakFlag>
implements QtEnumerator

Press link for info on QTextFormat.PageBreakFlag

Enum Constant Summary
`PageBreak_AlwaysAfter` A new page is always started after the paragraph/table
`PageBreak_AlwaysBefore` The page is always broken before the paragraph/table
`PageBreak_Auto` The page break is determined automatically depending on the available space on the current page

Method Summary
`static QTextFormat.PageBreakFlags` | `createQFlags(QTextFormat.PageBreakFlag... values)`
`static QTextFormat.PageBreakFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFormat.PageBreakFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextFormat.PageBreakFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PageBreak_Auto

    public static final QTextFormat.PageBreakFlag PageBreak_Auto

  The page break is determined automatically depending on the available space on the current page

### PageBreak_AlwaysBefore

    public static final QTextFormat.PageBreakFlag PageBreak_AlwaysBefore

  The page is always broken before the paragraph/table

### PageBreak_AlwaysAfter

    public static final QTextFormat.PageBreakFlag PageBreak_AlwaysAfter

  A new page is always started after the paragraph/table

Method Detail

### values

    public static final QTextFormat.PageBreakFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextFormat.PageBreakFlag c : QTextFormat.PageBreakFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextFormat.PageBreakFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextFormat.PageBreakFlags createQFlags(QTextFormat.PageBreakFlag... values)

### resolve

    public static QTextFormat.PageBreakFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD